echo off
setlocal

rem FOR ASH WARE INTERNAL TESTING ONLY!
set CC=%TEST_BED_BIN_DIR%\ETEC_cc.exe
set LINK=%TEST_BED_BIN_DIR%\ETEC_link.exe
if exist %CC% goto CheckPathingSuccess

rem During installation of the ASH WARE ETEC Compiler
rem environment variable, 'ETEC_BIN', is set to point
rem to the latest installed version
set CC=%ETEC_BIN%ETEC_cc.exe
set LINK=%ETEC_BIN%ETEC_link.exe
if exist %CC% goto CheckPathingSuccess

echo *************************************************
echo It appears the ETEC_BIN environment variable is not
echo set, or not set correctly.
echo ETEC_BIN = %ETEC_BIN%
echo Correct this problem in order to build this demo.
echo *************************************************
goto errors

:CheckPathingSuccess

echo .
%CC% -version
%LINK% -version
echo .

echo .
echo Compiler:    %CC%
echo Linker:      %LINK%
echo CmdLineArgs: %1 %2 %3 %4
echo .

echo create the 'cpu' directory for the auto-generated header files
mkdir cpu
del cpu\*.h /q

set GPIO=-d=INCLUDE_GPIO -d=GPIO_FUNCTION_NUMBER=0
set PWMMAC=-d=INCLUDE_PWMMAC -d=PWMMAC_FUNCTION_NUMBER=1
set PWMF=-d=INCLUDE_PWMF -d=PWMF_FUNCTION_NUMBER=2
set QD=-d=INCLUDE_QD -d=QD_FUNCTION_NUMBER=3
set QDHOME=-d=INCLUDE_QDHOME -d=QDHOME_FUNCTION_NUMBER=4
set QDINDEX=-d=INCLUDE_QDINDEX -d=QDINDEX_FUNCTION_NUMBER=5
set ASAC=-d=INCLUDE_ASAC -d=ASAC_FUNCTION_NUMBER=6
set ACIMVHZ=-d=INCLUDE_ACIMVHZ -d=ACIMVHZ_FUNCTION_NUMBER=7
set PMSMVC=-d=INCLUDE_PMSMVC -d=PMSMVC_FUNCTION_NUMBER=8
set ACIMVC=-d=INCLUDE_ACIMVC -d=ACIMVC_FUNCTION_NUMBER=9
set SC=-d=INCLUDE_SC -d=SC_FUNCTION_NUMBER=10
set BC=-d=INCLUDE_BC -d=BC_FUNCTION_NUMBER=11

set ALL_INCLUDES=%GPIO% %PWMMAC% %PWMF% %QD% %QDHOME% %QDINDEX% %ASAC% %ACIMVHZ% %PMSMVC% %ACIMVC% %SC% %BC%

%CC% ETEC_fs_func_set.c  -WarnDis=310,350,400,401,402,513,522  %ALL_INCLUDES% -GlobalScratchpad
if  %ERRORLEVEL% NEQ 0 ( goto errors )

%LINK% ETEC_fs_func_set.eao -out=MyCode -etba=0x0 -CodeSize=0x4000 -map -lst %1 %2 %3 %4
if  %ERRORLEVEL% NEQ 0 ( goto errors )

echo .
echo BUILD PASSES

goto end
:errors
echo *************************************************
echo        YIKES, WE GOT ERRORS!!
echo *************************************************
exit /b -1
:end

